# -*- coding: utf-8 -*- 
# @Time    : 04/15/2024 
# @Author  : nzooherd 
# @File    : message_notfound.py 
# @Software: Visual Studio Code

class MessageNotFoundException(Exception):
    """
    Exception raise when message not found
    """

    def __init__(self, message_hash: str) -> None:
        message = f"Message not found: {message_hash}"
        super().__init__(message)
    